Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.webdav.xml
Class DAVNode

    java.lang.Object
      |
      +--org.w3c.www.webdav.xml.DAVNode

Direct Known Subclasses:
  DAVLink, DAVLockEntry, DAVLockScope, DAVLockType, DAVMultiStatus, DAVPropAction, DAVProperties, DAVPropertyBehavior, DAVPropertyUpdate, DAVPropFind, DAVPropStat, DAVResponse

public class DAVNode
extends java.lang.Object

Field Summary
`static java.lang.String` | `ACTIVELOCK_NODE`
`static java.lang.String` | `ALLPROP_NODE`
`static java.lang.String` | `COLLECTION_NODE`
`static java.lang.String` | `CREATIONDATE_NODE`
`static java.lang.String` | `DEPTH_NODE`
`static java.lang.String` | `DISPLAYNAME_NODE`
`static java.lang.String` | `DST_NODE`
`protected org.w3c.dom.Element` | `element`
`static java.lang.String` | `EXCLUSIVE_NODE`
`static java.lang.String` | `GETCONTENTLANGUAGE_NODE`
`static java.lang.String` | `GETCONTENTLENGTH_NODE`
`static java.lang.String` | `GETCONTENTTYPE_NODE`
`static java.lang.String` | `GETETAG_NODE`
`static java.lang.String` | `GETLASTMODIFIED_NODE`
`static java.lang.String` | `HREF_NODE`
`static java.lang.String` | `KEEPALIVE_NODE`
`static java.lang.String` | `LINK_NODE`
`static java.lang.String` | `LOCKDISCOVERY_NODE`
`static java.lang.String` | `LOCKENTRY_NODE`
`static java.lang.String` | `LOCKINFO_NODE`
`static java.lang.String` | `LOCKSCOPE_NODE`
`static java.lang.String` | `LOCKTOKEN_NODE`
`static java.lang.String` | `LOCKTYPE_NODE`
`static java.lang.String` | `MULTISTATUS_NODE`
`static java.lang.String` | `OMIT_NODE`
`static java.lang.String` | `OWNER_NODE`
`static java.lang.String` | `PROP_NODE`
`static java.lang.String` | `PROPERTYBEHAVIOR_NODE`
`static java.lang.String` | `PROPERTYUPDATE_NODE`
`static java.lang.String` | `PROPFIND_NODE`
`static java.lang.String` | `PROPNAME_NODE`
`static java.lang.String` | `PROPSTAT_NODE`
`static java.lang.String` | `REMOVE_NODE`
`static java.lang.String` | `RESOURCETYPE_NODE`
`static java.lang.String` | `RESPONSE_NODE`
`static java.lang.String` | `RESPONSEDESC_NODE`
`static java.lang.String` | `SET_NODE`
`static java.lang.String` | `SHARED_NODE`
`static java.lang.String` | `SOURCE_NODE`
`static java.lang.String` | `SRC_NODE`
`static java.lang.String` | `STATUS_NODE`
`static java.lang.String` | `SUPPORTEDLOCK_NODE`
`static java.lang.String` | `TIMEOUT_NODE`
`static java.lang.String` | `WRITE_NODE`

Method Summary
`void` | `addDAVNode(DAVNode node)` Add the given node the our children list
`static org.w3c.dom.Element` | `addDAVNode(org.w3c.dom.Node parent, java.lang.String name, java.lang.String textvalue)` Create a new node and add it to the parent children list.
`org.w3c.dom.Element` | `addDAVNode(java.lang.String name, java.lang.String textvalue)` Create a new node.
`void` | `addDAVNodes(DAVNode[] nodes)` Add the given nodes the our children list
`void` | `addNode(org.w3c.dom.Node node)` Add this node to our children
`void` | `addNodeNS(org.w3c.dom.Node node)` Add the given node to our children list.
`static void` | `addNodeNS(org.w3c.dom.Node parent, org.w3c.dom.Node child)` Add the given node to the children list of the parent node and Add the Namespace definition if needed (work arround of xmlserializer bug)
`boolean` | `equals(DAVNode node)`
`static void` | `exportChildren(org.w3c.dom.Document newdoc, org.w3c.dom.Node newparent, org.w3c.dom.Node node, boolean deep)`
`org.w3c.dom.Element[]` | `getChildrenElements()` Get all the element that are chidren of the current node.
`static java.util.Vector` | `getDAVElementsByTagName(org.w3c.dom.Node node, java.lang.String tagname)` Get the list of children element that match the given tagname (and the DAV namespace)
`java.util.Vector` | `getDAVElementsByTagName(java.lang.String tagname)` Just for child, not the all tree.
`static org.w3c.dom.Node` | `getDAVNode(org.w3c.dom.Node node, java.lang.String tagname)` Get the first child element that match the given tagname (and the DAV namespace)
`org.w3c.dom.Node` | `getDAVNode(java.lang.String tagname)` Get the first node matching the given name
`java.lang.String[]` | `getDAVNodeNames()` Get the tagnames of all our DAV children
`static java.lang.String[]` | `getMultipleTextChildValue(org.w3c.dom.Node node, java.lang.String tagname)` Get the text value of all our "DAV:" children matching the given tagname with a text value available.
`java.lang.String[]` | `getMultipleTextChildValue(java.lang.String tagname)` Get the text value of all our "DAV:" children matching the given tagname with a text value available.
`org.w3c.dom.Node` | `getNode()` Get our Node
`static org.w3c.dom.Node` | `getNodeNS(org.w3c.dom.Node parent, java.lang.String tagname, java.lang.String ns)` Get the first node of the parent matchind the given tagname and namespace.
`org.w3c.dom.Node` | `getNodeNS(java.lang.String tagname, java.lang.String ns)` Get the first node matching the given name and the given namespace
`java.lang.String` | `getTextChildValue(org.w3c.dom.Node node)` Get the value of the first child text node (if any)
`java.lang.String` | `getTextChildValue(java.lang.String tagname)` Get the value of the first "DAV:" child text node (if any)
`java.lang.String` | `getTextChildValueNS(java.lang.String tagname, java.lang.String ns)` Get the value of the first child text node (if any)
`java.lang.String` | `getTextValue()` Get the value of the fist child TEXT node.
`static org.w3c.dom.Node` | `importNode(org.w3c.dom.Document newdoc, org.w3c.dom.Element parent, org.w3c.dom.Node node, boolean deep)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTIVELOCK_NODE

    public static final java.lang.String ACTIVELOCK_NODE

See Also:
  Constant Field Values

### LOCKSCOPE_NODE

    public static final java.lang.String LOCKSCOPE_NODE

See Also:
  Constant Field Values

### LOCKTYPE_NODE

    public static final java.lang.String LOCKTYPE_NODE

See Also:
  Constant Field Values

### DEPTH_NODE

    public static final java.lang.String DEPTH_NODE

See Also:
  Constant Field Values

### OWNER_NODE

    public static final java.lang.String OWNER_NODE

See Also:
  Constant Field Values

### TIMEOUT_NODE

    public static final java.lang.String TIMEOUT_NODE

See Also:
  Constant Field Values

### LOCKTOKEN_NODE

    public static final java.lang.String LOCKTOKEN_NODE

See Also:
  Constant Field Values

### LOCKENTRY_NODE

    public static final java.lang.String LOCKENTRY_NODE

See Also:
  Constant Field Values

### LOCKINFO_NODE

    public static final java.lang.String LOCKINFO_NODE

See Also:
  Constant Field Values

### WRITE_NODE

    public static final java.lang.String WRITE_NODE

See Also:
  Constant Field Values

### EXCLUSIVE_NODE

    public static final java.lang.String EXCLUSIVE_NODE

See Also:
  Constant Field Values

### SHARED_NODE

    public static final java.lang.String SHARED_NODE

See Also:
  Constant Field Values

### HREF_NODE

    public static final java.lang.String HREF_NODE

See Also:
  Constant Field Values

### LINK_NODE

    public static final java.lang.String LINK_NODE

See Also:
  Constant Field Values

### SRC_NODE

    public static final java.lang.String SRC_NODE

See Also:
  Constant Field Values

### DST_NODE

    public static final java.lang.String DST_NODE

See Also:
  Constant Field Values

### MULTISTATUS_NODE

    public static final java.lang.String MULTISTATUS_NODE

See Also:
  Constant Field Values

### RESPONSE_NODE

    public static final java.lang.String RESPONSE_NODE

See Also:
  Constant Field Values

### PROPSTAT_NODE

    public static final java.lang.String PROPSTAT_NODE

See Also:
  Constant Field Values

### RESPONSEDESC_NODE

    public static final java.lang.String RESPONSEDESC_NODE

See Also:
  Constant Field Values

### STATUS_NODE

    public static final java.lang.String STATUS_NODE

See Also:
  Constant Field Values

### PROP_NODE

    public static final java.lang.String PROP_NODE

See Also:
  Constant Field Values

### PROPERTYBEHAVIOR_NODE

    public static final java.lang.String PROPERTYBEHAVIOR_NODE

See Also:
  Constant Field Values

### OMIT_NODE

    public static final java.lang.String OMIT_NODE

See Also:
  Constant Field Values

### KEEPALIVE_NODE

    public static final java.lang.String KEEPALIVE_NODE

See Also:
  Constant Field Values

### PROPERTYUPDATE_NODE

    public static final java.lang.String PROPERTYUPDATE_NODE

See Also:
  Constant Field Values

### REMOVE_NODE

    public static final java.lang.String REMOVE_NODE

See Also:
  Constant Field Values

### SET_NODE

    public static final java.lang.String SET_NODE

See Also:
  Constant Field Values

### PROPFIND_NODE

    public static final java.lang.String PROPFIND_NODE

See Also:
  Constant Field Values

### ALLPROP_NODE

    public static final java.lang.String ALLPROP_NODE

See Also:
  Constant Field Values

### PROPNAME_NODE

    public static final java.lang.String PROPNAME_NODE

See Also:
  Constant Field Values

### COLLECTION_NODE

    public static final java.lang.String COLLECTION_NODE

See Also:
  Constant Field Values

### CREATIONDATE_NODE

    public static final java.lang.String CREATIONDATE_NODE

See Also:
  Constant Field Values

### DISPLAYNAME_NODE

    public static final java.lang.String DISPLAYNAME_NODE

See Also:
  Constant Field Values

### GETCONTENTLANGUAGE_NODE

    public static final java.lang.String GETCONTENTLANGUAGE_NODE

See Also:
  Constant Field Values

### GETCONTENTLENGTH_NODE

    public static final java.lang.String GETCONTENTLENGTH_NODE

See Also:
  Constant Field Values

### GETCONTENTTYPE_NODE

    public static final java.lang.String GETCONTENTTYPE_NODE

See Also:
  Constant Field Values

### GETETAG_NODE

    public static final java.lang.String GETETAG_NODE

See Also:
  Constant Field Values

### GETLASTMODIFIED_NODE

    public static final java.lang.String GETLASTMODIFIED_NODE

See Also:
  Constant Field Values

### LOCKDISCOVERY_NODE

    public static final java.lang.String LOCKDISCOVERY_NODE

See Also:
  Constant Field Values

### RESOURCETYPE_NODE

    public static final java.lang.String RESOURCETYPE_NODE

See Also:
  Constant Field Values

### SOURCE_NODE

    public static final java.lang.String SOURCE_NODE

See Also:
  Constant Field Values

### SUPPORTEDLOCK_NODE

    public static final java.lang.String SUPPORTEDLOCK_NODE

See Also:
  Constant Field Values

### element

    protected org.w3c.dom.Element element

Method Detail

### getNodeNS

    public static org.w3c.dom.Node getNodeNS(org.w3c.dom.Node parent,
                                             java.lang.String tagname,
                                             java.lang.String ns)

  Get the first node of the parent matchind the given tagname and namespace.

  Parameters:
    `parent` - the parent node
    `tagname` - the tagname to find
    `ns` - the namespace
  Returns:
    a Node instance of null

### addNodeNS

    public static void addNodeNS(org.w3c.dom.Node parent,
                                 org.w3c.dom.Node child)

  Add the given node to the children list of the parent node and Add the Namespace definition if needed (work arround of xmlserializer bug)

  Parameters:
    `parent` - the parent node
    `child` - the new child

### exportChildren

    public static void exportChildren(org.w3c.dom.Document newdoc,
                                      org.w3c.dom.Node newparent,
                                      org.w3c.dom.Node node,
                                      boolean deep)
                               throws org.w3c.dom.DOMException

    `org.w3c.dom.DOMException`

### importNode

    public static org.w3c.dom.Node importNode(org.w3c.dom.Document newdoc,
                                              org.w3c.dom.Element parent,
                                              org.w3c.dom.Node node,
                                              boolean deep)

### getNode

    public org.w3c.dom.Node getNode()

  Get our Node

  Returns:
    a Node instance

### getChildrenElements

    public org.w3c.dom.Element[] getChildrenElements()

  Get all the element that are chidren of the current node.

  Returns:
    a array of Element

### getNodeNS

    public org.w3c.dom.Node getNodeNS(java.lang.String tagname,
                                      java.lang.String ns)

  Get the first node matching the given name and the given namespace

  Parameters:
    `tagname` - the node name
    `ns` - the namespace
  Returns:
    a Node instance or null

### getTextValue

    public java.lang.String getTextValue()

  Get the value of the fist child TEXT node.

  Returns:
    a String

### getTextChildValue

    public java.lang.String getTextChildValue(org.w3c.dom.Node node)

  Get the value of the first child text node (if any)

  Parameters:
    `node` - the parent node (can be null)
  Returns:
    a String instance or null

### getTextChildValueNS

    public java.lang.String getTextChildValueNS(java.lang.String tagname,
                                                java.lang.String ns)

  Get the value of the first child text node (if any)

  Parameters:
    `tagname` - the parent node name
    `ns` - the namespace to match
  Returns:
    a String instance or null

### addNode

    public void addNode(org.w3c.dom.Node node)

  Add this node to our children

  Parameters:
    `node` - the new node

### addNodeNS

    public void addNodeNS(org.w3c.dom.Node node)

  Add the given node to our children list. Add the Namespace definition if needed (work arround of xmlserializer bug)

### getDAVElementsByTagName

    public static java.util.Vector getDAVElementsByTagName(org.w3c.dom.Node node,
                                                           java.lang.String tagname)

  Get the list of children element that match the given tagname (and the DAV namespace)

  Parameters:
    `node` - the parent node
    `tagname` - the tagname to match
  Returns:
    a Vector instance

### getDAVNode

    public static org.w3c.dom.Node getDAVNode(org.w3c.dom.Node node,
                                              java.lang.String tagname)

  Get the first child element that match the given tagname (and the DAV namespace)

  Parameters:
    `node` - the parent node
    `tagname` - the tagname to match
  Returns:
    a Vector instance

### addDAVNode

    public static org.w3c.dom.Element addDAVNode(org.w3c.dom.Node parent,
                                                 java.lang.String name,
                                                 java.lang.String textvalue)
                                          throws org.w3c.dom.DOMException

  Create a new node and add it to the parent children list.

  Parameters:
    `parent` - the parent node
    `name` - the tagname of the new node
    `textvalue` - the nodevalue of the TextNode (child of the new node)
  Returns:
    the newly added Element
    `org.w3c.dom.DOMException`

### getMultipleTextChildValue

    public static java.lang.String[] getMultipleTextChildValue(org.w3c.dom.Node node,
                                                               java.lang.String tagname)

  Get the text value of all our "DAV:" children matching the given tagname with a text value available.

  Parameters:
    `node` - the parent node
    `tagname` - the tagname to search
  Returns:
    a String array

### getDAVElementsByTagName

    public java.util.Vector getDAVElementsByTagName(java.lang.String tagname)

  Just for child, not the all tree.

  Parameters:
    `tagname` - the tagname
  Returns:
    a Vector of Node.

### getDAVNode

    public org.w3c.dom.Node getDAVNode(java.lang.String tagname)

  Get the first node matching the given name

  Parameters:
    `tagname` - the node name
  Returns:
    a Node instance or null

### getTextChildValue

    public java.lang.String getTextChildValue(java.lang.String tagname)

  Get the value of the first "DAV:" child text node (if any)

  Parameters:
    `tagname` - the parent node name
  Returns:
    a String instance or null

### getMultipleTextChildValue

    public java.lang.String[] getMultipleTextChildValue(java.lang.String tagname)

  Get the text value of all our "DAV:" children matching the given tagname with a text value available.

  Parameters:
    `tagname` - the tagname to search
  Returns:
    a String array

### getDAVNodeNames

    public java.lang.String[] getDAVNodeNames()

  Get the tagnames of all our DAV children

  Returns:
    a String array

### addDAVNode

    public org.w3c.dom.Element addDAVNode(java.lang.String name,
                                          java.lang.String textvalue)
                                   throws org.w3c.dom.DOMException

  Create a new node.

  Parameters:
    `name` - the tagname of the new node
    `textvalue` - the nodevalue of the TextNode (child of the new node)
  Returns:
    the newly added Element
    `org.w3c.dom.DOMException`

### addDAVNode

    public void addDAVNode(DAVNode node)

  Add the given node the our children list

  Parameters:
    `node` - the new child

### addDAVNodes

    public void addDAVNodes(DAVNode[] nodes)

  Add the given nodes the our children list

  Parameters:
    `nodes` - the new children

### equals

    public boolean equals(DAVNode node)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD